=== debian/changelog ===
libgtkada (23.0.0-4) unstable; urgency=medium

  * Break/Replace libgtkada*-dev since oldstable. Closes: #1034970.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 May 2023 00:25:12 +0200

libgtkada (23.0.0-3) unstable; urgency=medium

  * Let -dev depend on libgtk-dev (previously done by dh-ada-library).

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 30 Dec 2022 18:22:58 +0000

libgtkada (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:34:34 +0100

libgtkada (23.0.0-1) experimental; urgency=medium

  * Build new upstream release for experimental with gcc-12.
    Rename lib and -dev packages accordingly.
    Remove obsolete patches and OpenGL quirks.
  * ./configure during both -arch and -indep builds, adapt Build-Dependencies.
  * Build-Depends: + sphinx read-the-doc theme, - unversioned libcairo-dev.
  * Standards-Version: 4.6.1.
  * Install architecture-dependent files with gprinstall to debian/tmp,
    then dispatch with dh-ada-library/8.2.
    Install docs manually (this is necessary for -indep builds),
    but also in 2 steps for consistency.
  * Restore upstream base names when installing the user guide.
  * Adapt and install the documentation plug-in for gnat studio.
  * Replace dh_auto_build (make -j) with non-parallel Make.
    Gprbuild and sphinx assume that they’re alone in charge of parallelism.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 14 Dec 2022 10:15:07 +0000
