=== debian/control ===
Source: libgtkada
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
# An html source is AC_OUTPUT, configure CC= requires packaging.mk.
# So we need gnat/gprbuild even during -indep builds (not a big issue).
 dh-ada-library (>= 8.2),
 gnat-12,
 gprbuild (>= 2021.0.0.0778b109-2),
 libgtk-3-dev,
 pkg-config,
# See docs/gtkada_ug/system_dependencies.rst.
Build-Depends-Arch:
 dh-sequence-ada-library,
 libcairo2-dev,
# src/fontconfig.adb
 libfontconfig-dev,
# gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libpango1.0-dev,
# Makefile.in
 python3,
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
 python3-sphinx,
# docs/gtkada_ug/conf.py
 python3-sphinx-rtd-theme,
 sphinx-common,
 tex-gyre,
 texlive-fonts-recommended,
 texlive-latex-extra,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/gtkada
Vcs-Browser: https://salsa.debian.org/debian/libgtkada
Vcs-Git: https://salsa.debian.org/debian/libgtkada.git

Package: libgtkada22-dev
Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
Architecture: any
Depends: ${ada:Depends}, ${misc:Depends},
 libcairo2-dev,
 libfontconfig-dev,
 libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
 libglib2.0-dev,
 libgtk-3-dev,
 libpango1.0-dev,
Suggests: libgtkada-bin (=${binary:Version}),
 libgtkada-doc
Description: Ada binding for the GTK+ GUI (development files)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the development files and static libraries.

Package: libgtkada22
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ada binding for the GTK+ GUI (dynamic library)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This library will let you run Ada applications compiled with GTK+.

Package: libgtkada-bin
Section: devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gnat, libgtkada-doc
Description: Ada binding for the GTK+ GUI (development utilities)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the gtkada-dialog development utility.

Package: libgtkada-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
Description: Ada binding for the GTK+ GUI (documentation)
 GtkAda is a library that allows programmers to write GTK+ applications in the
 Ada programming language.
 .
 This package contains the user guide, examples, lists of known
 problems and comments about the Debian packaging.
 .
 The reference manual cannot be generated within Debian for now.
 It is available at
 https://docs.adacore.com/live/wave/gtkada/html/gtkada_rm/index.html.
