=== debian/changelog ===
libgtkada (24.0.0-5build2) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 07:46:26 +0200

libgtkada (24.0.0-5build1) questing; urgency=medium

  * No-change rebuild against fixed gnat-14, see #1104593

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 19 May 2025 12:00:47 +0000

libgtkada (24.0.0-5) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 20 Mar 2025 09:33:25 +0100

libgtkada (24.0.0-4) experimental; urgency=medium

  * Build with gnat-14 in experimental.
  * Enable salsa continuous integration via debian/salsa-ci.yml
  * Remove the ./configure shell script from the clean target.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 22 Feb 2025 14:56:23 +0100

libgtkada (24.0.0-3) unstable; urgency=medium

  * Reduce optimization to -O1 on armhf.  Closes: #1068058.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 May 2024 05:35:15 +0000

libgtkada (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.
  * Build-Depend on pkgconf instead of deprecated pkg-config.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:39:08 +0100

libgtkada (24.0.0-1) experimental; urgency=medium

  * New upstream release, requiring python3-sphinx-rtd-theme.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Restrict autopkgtest dependencies now that -dev is unversioned.
  * Remove obsolete alternative dependency for libgdk-pixbuf-2.0-dev.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 06 Jan 2024 18:39:20 +0000

libgtkada (23.0.0-6) unstable; urgency=medium

  * testgtk: preserve file permissions in tar archive
  * Disable LTO optimization.  Closes: #1015492
  * Pass build flags to testgtk/task_project, simplify creation of testgtk.tgz
  * Simplify installation of registering for gnat-studio

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2023 19:46:14 +0000

libgtkada (23.0.0-5) unstable; urgency=medium

  * Fix clean target. Closes: #1047751.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Aug 2023 10:29:22 +0000
