=== debian/control ===
--- 
+++ 
@@ -7,19 +7,20 @@
  debhelper-compat (= 13),
 # An html source is AC_OUTPUT, configure CC= requires packaging.mk.
 # So we need gnat/gprbuild even during -indep builds (not a big issue).
- dh-ada-library (>= 8.2),
- gnat-12,
- gprbuild (>= 2021.0.0.0778b109-2),
+ dh-ada-library (>= 9),
+ dh-sequence-ada-library,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
  libgtk-3-dev,
- pkg-config,
+ pkgconf,
 # See docs/gtkada_ug/system_dependencies.rst.
 Build-Depends-Arch:
- dh-sequence-ada-library,
  libcairo2-dev,
 # src/fontconfig.adb
  libfontconfig-dev,
 # gtkada sources refer to gtk_* gdk_* cairo_* pango_* g_*
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libpango1.0-dev,
 # Makefile.in
@@ -35,20 +36,23 @@
  tex-gyre,
  texlive-fonts-recommended,
  texlive-latex-extra,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/gtkada
 Vcs-Browser: https://salsa.debian.org/debian/libgtkada
 Vcs-Git: https://salsa.debian.org/debian/libgtkada.git
 
-Package: libgtkada22-dev
-Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
-Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev
+Package: libgtkada-dev
+Breaks: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev,
+ libgtkada22-dev
+Replaces: libgtkada18-dev, libgtkada19-dev, libgtkada20-dev, libgtkada21-dev,
+ libgtkada22-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${ada:Depends}, ${misc:Depends},
  libcairo2-dev,
  libfontconfig-dev,
- libgdk-pixbuf-2.0-dev | libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libglib2.0-dev,
  libgtk-3-dev,
  libpango1.0-dev,
@@ -60,7 +64,7 @@
  .
  This package contains the development files and static libraries.
 
-Package: libgtkada22
+Package: libgtkada23
 Section: libs
 Architecture: any
 Multi-Arch: same
