=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,23 @@
 %:
 	dh $@
 
+include /usr/share/dpkg/architecture.mk
+
 DPKG_EXPORT_BUILDFLAGS := 1
+
 # -gnatVa triggers #998177.
 DEB_ADAFLAGS_MAINT_APPEND := -gnatVcdefimnoprst -gnatafo
+
+# #1068058 gtkada-canvas_view.adb: Assembler messages: branch out of range
+ifeq ($(DEB_HOST_ARCH),armhf)
+  ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
+    DEB_ADAFLAGS_MAINT_APPEND += -O1
+  endif
+endif
+
 DEB_CFLAGS_MAINT_APPEND := -Wall -Wextra -fstack-check
-DEB_BUILD_MAINT_OPTIONS := hardening=+all
+# debian/lto-failure-log completes the description in #1015492.
+DEB_BUILD_MAINT_OPTIONS := hardening=+all optimize=-lto
 DEB_LDFLAGS_MAINT_APPEND := \
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
@@ -78,8 +90,10 @@
 # Archive testgtk sources, so that the user does not need to
 # uncompress them separately.
 # Remove objects and executables.
-testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr
-reproducible_tar_options := --owner=0 --group=0 --numeric-owner
+testgtk_exclude := obj/* test_rtree testgtk testgtk.gpr \
+  task_project/task_project.gpr
+reproducible_tar_options := --owner=0 --group=0 --numeric-owner \
+  --preserve-permissions
 reproducible_gz_options  := --no-name
 
 # TODO: add the reference manual when gnat-gps/gnatdoc is available
@@ -91,7 +105,6 @@
 	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
 
   # Exclude or transform options only affect following files.
-  # testgtk/testgtk.gpr is overwritten (or more accurately, appended twice).
 	tar --create \
 	  $(reproducible_tar_options) \
 	  $(addprefix --exclude=testgtk/,$(testgtk_exclude)) testgtk \
@@ -104,9 +117,6 @@
 override_dh_auto_install-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 # See debian/patches/gprinstall-no-indep-artifacts.diff.
-	mkdir -p debian/tmp/usr/share/gps/plug-ins
-	cp --reflink=auto -aftdebian/tmp/usr/share/gps/plug-ins \
-	  xml/gtkada.xml
 	mkdir -p debian/tmp/usr/share/doc/gtkada/gtkada_ug
 	cp --reflink=auto -aftdebian/tmp/usr/share/doc/gtkada/gtkada_ug \
 	  docs/gtkada_ug/_build/html/* \
