=== debian/tests/control ===
Tests: link-with-shared
Restrictions: allow-stderr
Depends: gprbuild, libgtkada-dev, libgtkada-doc, xauth, xvfb
# xvfb-run depends on xauth, see header in /usr/bin/xvfb-run.
